Skip to Content
API ReferenceEmbeddingsList Embeddings Models

List all embeddings models

GET

https://novapai.ai/api/v1/embeddings/models 

GET

/api/v1/embeddings/models

cURL
$curl https://novapai.ai/api/v1/embeddings/models \ >-H "Authorization: Bearer <token>"
200 Retrieved
reference-embeddings-list-embeddings-models-01.json
{ "data": [ { "id": "openai/gpt-4", "canonical_slug": "openai/gpt-4", "name": "GPT-4", "created": 1692901234, "pricing": { "prompt": "0.00003", "completion": "0.00006", "request": "0", "image": "0" }, "context_length": 8192, "architecture": { "modality": "text->text", "input_modalities": ["text"], "output_modalities": ["text"], "tokenizer": "GPT", "instruct_type": "chatml" }, "top_provider": { "is_moderated": true, "context_length": 8192, "max_completion_tokens": 4096 }, "supported_parameters": [ "temperature", "top_p", "max_tokens", "frequency_penalty", "presence_penalty" ], "description": "GPT-4 is a large multimodal model that can solve difficult problems with greater accuracy." } ] }

Returns a list of all available embeddings models and their properties

Authentication

Authorization Bearer

API key as bearer token in Authorization header

Response

Returns a list of embeddings models

字段类型必填说明
datalist of objects-List of available models

Errors

状态码说明
400Bad Request Error
500Internal Server Error